package com.rongwei.bscommon.sys.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.rongwei.bsentity.domain.ApsReportRecordsDo;
import com.rongwei.bsentity.vo.SaveReportReq;
import com.rongwei.bsentity.vo.StartRePortReq;
import com.rongwei.rwcommon.base.R;

import java.util.Map;

/**
 *
 */
public interface ApsReportRecordsService extends IService<ApsReportRecordsDo> {

    R cancelRecord(Map<String, String> req);

    R startReport(StartRePortReq req);

    R saveReport(SaveReportReq req);
}
